#include<iostream>
using namespace std;
int main ()
{
    int L,m,n,counter=0;
    cin >> L >> m >> n;
    do
    {
        L=L-m;
        m=m+n;
        counter++;
    }
    while (L!=0);
    cout << counter;
    return 0;
}